Несколько уязвимостей в Cacti

Дата публикации:
05.01.2007
Дата изменения:
07.05.2008
Всего просмотров:
1639
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Обход ограничений безопасности
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Cacti 0.x
Уязвимые версии: Cacti 0.8.6i, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю обойти некоторые ограничения безопасности, выполнить произвольные SQL команды в базе данных приложения и скомпрометировать целевую систему.

1. Уязвимость существует из-за того, что сценарии cmd.php и "copy_cacti_user.php" недостаточно ограничивают доступ к использованию командной строки и устанавливается в директорию, доступную через Web. Для успешной эксплуатации уязвимости опция "register_argc_argv" должна быть включена.

2. Уязвимость существует из-за недостаточной обработки URL в сценариях cmd.php и copy_cacti_user.php. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "register_argc_argv" должна быть включена.

3. Уязвимость существует из-за недостаточной обработки результатов SQL запроса, описанного в п. 2 в сценарии cmd.php. Удаленный пользователь может выполнить произвольные команды на системе с привилегиями Web сервера.

4. Уязвимость существует из-за недостаточной обработки входных данных в сценарии copy_cacti_user.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "register_argc_argv" должна быть включена в конфигурационном файле PHP.

URL производителя: www.cacti.net

Решение: Установите последнюю версию 0.8.6j с сайта производителя.

или введите имя

CAPTCHA